pentoo-installer: bump stable version, cleanup old

This commit is contained in:
Zero_Chaos 2014-10-01 03:14:43 +00:00
parent 3a9e073a7f
commit 4c59d93f32
21 changed files with 18 additions and 725 deletions

View file

@ -1,20 +1,3 @@
AUX 132-and-140.patch 1023 SHA256 7b7f7a1ef3c8b937f6a56544f132eff0640c232d019eeba343f49af680d7d5b5 SHA512 82e2a11cbcb489fda50a489edf5d98388e9d857269d890ca137780d16be9a36ce15f189200376c25e7468822faab4b6c9f1df53d85017d09379c31554ba21a17 WHIRLPOOL c58d3b6756b142c64da07a7554c5c56a83769ec41edd1577a810497ad721e7b8d5136a8adf3fcb5e68afd63ce7b8f8209f9f22db7cad49317e048c4dea7a8fee
AUX 7500-ext4.patch 732 SHA256 cc139f34f29dbf2d797eb4b4da0f5887a2aea27d130722fb2165ed3338e82e72 SHA512 04c80c3da0987ec013d7fcb5b04def19b10693826c4c2ab8624187b3049eaf9a46609c2237defe3bcaf8fae7ccfc73e3571436d0182c3e732b3801a2d082e553 WHIRLPOOL 3ca4e7fbb23e2aa3a23c46025bbcbf93c0bd61a6108824f4e4abde100e2963ddf707dbf5320ad5442591ceb888a1ca33c931bb9bc369dc1453eb9926fe2b57f5
AUX 8000-ext4.patch 763 SHA256 e53e752ec4cc3f32e5a70b5f2b4e29a5fb1afce4fc9c8d44f0d97f58009736fb SHA512 42ce2bcc1ffa7484c2c7dcb0fce7afb76b40f2e323d0fd4a11b152c5903566ee8f300951defcacebcf2d3db6e7074aa340e9b969478a7d05c7b99297a900f4b2 WHIRLPOOL 93a982d3d669de34e10c3fbe64593a329d465048d270d4227173c058667d648ad990c7d2bfe8903423fa635dd85aafb832ee8198d2d4babc5321c4ded0c32c64
AUX auto-set-swap-to-ram.patch 918 SHA256 72650ee8073981afd8786ae8c096b6a793bb4d8f48b12a8ba7e486afcc54669c SHA512 adefd0ecf41d633d033f09d693506b9e241abebb9e729a05ec59db54106a46a4225acfda7590486407792335a4e538125770a8e388366e47e516f1713e9d7c8d WHIRLPOOL 89580cf7b8004b796d59bab4e4d8e92ddc922121120213846e5e97fc070a3106c83832fc05abf3ee90c2490c8d439de05b37c13b26af623a6e5f2c61053a9011
AUX bugs-65-66.patch 2317 SHA256 efb4802ef20178a16f98cb39137093de4a9e01790cd7550c50e53c692278481c SHA512 694b720ef2521a0ee512a766f6989bc3c5e8e349456c1176d817776910aa8e7e1180ebd4fd342bb0cb1bd3fb893b68bce84655ab19a2bb0a5e662b2a0b115728 WHIRLPOOL 080fc5b5bd95c818067a6702b7cd8a18a6052aa71b88fd4778f8796d2ec35a02f42270ceb14a4b649358989d9dfcaeb37f9b6ce7aa5d2cbd693720816395b7b0
AUX clean_livecd_use_flags_correctly.patch 552 SHA256 933157da32de8b3f6b0ba0a53dc28e052bfff27d886e4796cf405cf99a14f6d4 SHA512 b7787a33a88e3b145ab7c22710525fc10e268ea0f279dc206d240f73da29454d1ec48ce5ce6a31bb1c0846cb97a6a56962e0fbe1d6f51638f7dec164fe64fbc4 WHIRLPOOL dd4552aa2ed5c5f8df989ec5e93e0140ab0687703313bc45f043c100db44e149ddd449db8574f3a8f2f13149264ec891a7e2c3c41e12f64f5d01c562ec8453b1
AUX fix-useflags-on-install.diff 455 SHA256 9f0b8542f21d6d06e35f6171d2b6925cc72872fd6724ca8008e5b63f972da796 SHA512 fae7b01232aec28f7f9dfd8536dcd4a8003ac172f686059f316645b8127181398a316bd888f09a4f7e1536e760a82c1a9a00b786ec9e1cd5b777784ab678a76e WHIRLPOOL 9c8afffce5d0f131fc8726c4e0f410ed3c7bb97d15cb7c4eb17dea4ffa5caf8d4afc6ff59a306408239aaa579abfc3af722621da05df47774e8ee3ab0e8d6584
AUX gpt-support.patch 2864 SHA256 addc6356ff147b8a70f1cd3fffa0e2df2201cbe3e3b36721175c53e94b4b7448 SHA512 6ff7c5a32d1b2958b80e96d9a27391b498a659fe54d867f1c6e1cba9879b13ae17c427e6e24d113774afc601c085c8bcfbff2b8092b7badf35f2a00b5be56b03 WHIRLPOOL 90bac12704749fe61fd51717089e9a81245918e7e3506d6133de109cbfea472653381fae7f646ae509fcb6932b1a506e5b987c309dea5324c60b5681b81fd09a
AUX more-fixes-for-installer-bugs.patch 4582 SHA256 693ea18c861a941c141b66b4c4d5e3dee112ec3c729bc991708f1b62d74f7784 SHA512 764522f9f3d5ece2b2a432ab200e4ee32b45934c95625b201a85b4a7d32663244e1d1093705eecb01508164c320ea8fce9b8605b034417dffe9a711b666e8033 WHIRLPOOL 2491cfce7c024bdfa94ac46b0282c6ae594c4a1f4c534b88d2c634c97db9f30dc48d8efd7ba3cd6df1f6946a1c0bc193df6e9a05642468ec8d54180db692beed
AUX pentoo-installer.desktop 213 SHA256 81e5bdc9639e24a7b727c571f3db4dd76020f4f5bd094b1b78cdb8ddd8da8278 SHA512 d3c8fa5d220d29fdb4fd007283a1095dde2207a68ca1dbde7d72a26affabc45e9d7f9268ff35bbd8ebe7bc50c7d3078c3352c2f9ece6312557dc367a1f497319 WHIRLPOOL aeb3631bce78ff66e0e4297934a323988cea9d5f3d796059c37da4deb1ede0ee4a234cd7e47141f6e57805a9828f20d271c6454b89b62c6b95090a8315363ef4
AUX root-size-warnings.patch 1703 SHA256 ea2686c14d6d4b2cab9b22f22ea70ab96e956241bce6dd30fd3ec3eb5e838598 SHA512 7f74f6743af6a53de0a3b0a605182ccb63c894a54c70272fdc145f7f2e1de39c8abd0b651895879d5513862ba0010bbbfcaab104456d389f9cf1a52d57dcdf94 WHIRLPOOL f0136731bfa7ced49dae0df97e61bee92b216e9684a3b01d2860d30925366bbfb74af38d714157d83c759486e09d6f62613b11c6338c8570a9b565247289ff33
AUX test_for_xfs_before_freeze.patch 1221 SHA256 4b43185858c97701c60a2353dd78c0808dc853ae4f002314eda0befbee5f41ec SHA512 c061dfebfefe7c552bd31e0744d2ad37a8f80f03fedfee5b581c616a889728383c461318d2c8907b9a1d031cfb679ea00d90e5e57a933fbf6b0318bd98704b37 WHIRLPOOL eecf837f40fe188337e0e8bc7af1e7fcd9d556947455a32a73a1e402ae0a33049dd75f7ecc101c88348c3fa1940275d11e680a3a2c7ef0969444fc6a9ea82c82
AUX uefi-support.patch 7383 SHA256 eb3d5d391d0d4aec17071483beb74617b07119b3b100ec1106d16252d0bdd965 SHA512 0e0cd1d756715cc36f55d7e5b909cbbd7410388dac08d3056ff1423dfed9d748b67b17bb0aa05710928ee554db44b1b5fc51eeb1ff521881eec7066e0715d8ac WHIRLPOOL 187e54c7a57b2dcc7bb72fd3cc7b89a14eaf60812b7c4b61c6fdff51a03edc723cfc92660f64e951c93ea84aec90de9f2e62fd1cc4a3aba75294ecd9f7e82afc
AUX uefi-warn-unsupported.patch 967 SHA256 fab3b07ed2b798cae18f06e4a3e2632ac64205c76675246d4e39ef9d876c296c SHA512 a0c769d3cfee5b4109dae0b889dfe8d409bdb238d920568cd7d4ff35bb612292f365e2db2c768053f21d6887b54436daf02f4d1d2356729ad9c85c16469dfd56 WHIRLPOOL 0ac139f48d78cf72f0e0854ea900465e79d55944227b9890bde3b5c471031150075b340a2c37c6914487b99dd297c20d94aabe86d90626d99883118f5e0c085f
AUX useradd-bug70.patch 1662 SHA256 c24b1200771fb5ae891e3a0d425cb5e637e30679edea4623f54beb612152dbc2 SHA512 015c9bf8482b873e0c2da6b0510e1bc45e5a587d6dfdcdeaeafaed454efdcf7b3d3cda5c3f278d90c96b074c8e3dc57493965ccf6a9b62d57a43e42a4e39775e WHIRLPOOL 9d5a031f3a1f628dc4c2d370dc6b2e47001d8b9af01df0325afaa54a585b12bcf853ac6ebb7fafbf848f58ae2e28be69d004a92b35f0c1c968225577d68e5473
AUX useradd_password_prompt.patch 607 SHA256 2279050c7461b26cec6983b4170bbf6586f99a8719f185612c6e35160686e643 SHA512 d7426d67c10965c5119c39f34eb7cc8627900cb89d76cacaca8e33dd289ce26d6e397c42888e7e0ef9f7d7e2396df3c18d2c666a6b1a3e0be6ea164ebcca11bc WHIRLPOOL 1f4f8c0bd2a2438c71c3a8e707fd2534fa845548e71178de1bf743e34a690635a305684a73d28a4dee73fb1412ddfff34679872a8dde7a5e60f34271f4688f76
EBUILD pentoo-installer-20131013.ebuild 718 SHA256 4c57bb4261e922fdceb87640cf5cf0c33201326604273915eca9ed5fb7b1a7f7 SHA512 d47ba5f3c1a1150dcf437269cb9d58c6e3ea062faf8d6e855ceb164adb13f6636f1ee49ef647cd8c60d52c3e1fca53a03cb6972aebfec62e86bb9a3db87ad2bc WHIRLPOOL 8f8de5ac76906bec5bf90bf57b61f5cdeab4165c4900aea0377023069513d66fc71529f9ba42490f75ed1542ac5af5d3a098c06122dda0d8eb289018876b1cdb
EBUILD pentoo-installer-20140224.ebuild 718 SHA256 7c2ef8a3bf15596e28e533f60b78278def0c6076e31925d827a2ef7043a3ec91 SHA512 6275158dcc6d94de3fe9b92e0aac29e0017755c8600b3d26de09f1e44bf22324e8e91757d5d18e978110f9c67eb1fb388feec085b4faf99eceb1d9aa16a056a9 WHIRLPOOL f8fb2fa88844fea666c5598c6d6cdc2c5fce5120e2e838b21c40415b43b04bfbec56d99d0070378aad31de84f5188fedf1fd390e72c514cf79513f0f0e8313a8
EBUILD pentoo-installer-20140331.ebuild 718 SHA256 7948cc558ba20ab8316224b6844f8eee25d8dba91c38aa75e55c4ca10a2953d5 SHA512 52965a31a440255e14d1f44de1e0f8f1e5e6af30650b72b5d96db018836fee30d28a9c835d283afb2ca9f5afefef6d8f05027da95caeb01d9676d37071c9048b WHIRLPOOL 57c38386b1b031b586e311bf769584fbc0f5a3dd82f10b1ba3ce28b4edd16ea1d6402c09bcb6f519d8f2bc33f8770f43240488ad3e581744482b3d19cc62c5e8
EBUILD pentoo-installer-99999999.ebuild 836 SHA256 c7cecc4a62b17d913a37e11ce007d04020d2e7111e2ddf6967edd3013e80588e SHA512 43516fc4a397535dcb82a61d013d00df7e6ccdcb89c95fbeb5b2396f7b3128588c67b3e3f6b1e960acfe3a4652bf61015d193909e3c53433c085f7ae93e5e635 WHIRLPOOL f106ada5ec0322128d1065b1139281301c190bbfa5640d5df42cfc18349bd2ec5ce2173173fee984b41ebfba49e74678de3cd391c8726a5dd9c58491d3d33f3e
AUX pentoo-installer.desktop 214 SHA256 bd7796fe3d6c998c033dd63bcfb81a0ecd0980b8d736d85af45c3604f191aef3 SHA512 8d509a55653efba02e6c398c728f2cf49e7ee6d56510fc0dddab5db9026b7f3dbbaebbe10537040a3b6d8cfecdda7aa282bd90ebe5c4c42aedfa1bb8e282cdae WHIRLPOOL 042817cd99601a7137fb0ae1dbbac9f23370a066eff73bd1b3aeaac767644b6c387b089801b994fed6d72b5130228cb40ee99717ee4a2b3c4175c8f7acff9efa
EBUILD pentoo-installer-20140930.ebuild 824 SHA256 bdb770e461c2a87658090e015a19415e5962e208124561263fae7035779f45c3 SHA512 f72850d994eb5a5462554d577af3cc1f5ad5bee2952466060c887ea84624f15616d37e72162ab5f449904338243b497cd4f4936b953cb6568cfbdd7238dedb0e WHIRLPOOL 5bb0e185ccf9edcbae81470a6a4add3d8d0da4ef717500d0f7440eaa41ea117d8b39644c70ef304b7cfc04c64d68a5a618fb97423af4827effda7ad960275175
EBUILD pentoo-installer-99999999.ebuild 824 SHA256 1b7f3b5baa4c2500e74e20068c771b543c3501df0d2d9d9e13f072e77b14ffa2 SHA512 fed23ffa5743099b66c4630e3c55de31442419d47c001fc71ddc2f785ac678a752f032c4d0a5b1754a92288622dec31654cbdf67abd4a888ca86c65531e9b275 WHIRLPOOL 3a54ae3d0e82802cfe32e3fcb1844574b6ecdcdf2835ce5655d2b7c686feaf6f6860ad1c8327cec271f4757495aaec58e82b8dfc071c4f64b61ac45681d1ab21

View file

@ -1,30 +0,0 @@
--- pentoo-installer.orig 2013-07-04 01:30:35.913728650 -0400
+++ pentoo-installer 2013-07-04 01:44:18.677276700 -0400
@@ -251,7 +251,9 @@
"2" "vi" 2>$ANSWER
case $(cat $ANSWER) in
"1") EDITOR="nano" ;;
- "2") EDITOR="vi" ;;
+ "2") EDITOR="vi"
+ sed -i 's#/bin/nano#/usr/bin/vi#' ${DISTDIR}/etc/profile
+ ;;
*) EDITOR="nano" ;;
esac
}
@@ -716,6 +718,7 @@
return 1
fi
sed -i '/aufs bindist livecd/d' ${DESTDIR}/etc/portage/make.conf
+ ROOT=${DISTDIR} emerge -C app-misc/livecd-tools pentoo/pentoo-livecd
mknod -m666 ${DESTDIR}/dev/zero c 1 5
mknod -m666 ${DESTDIR}/dev/null c 1 3
mknod -m600 ${DESTDIR}/dev/console c 5 1
@@ -1104,6 +1107,8 @@
chroot_mount
chroot $DESTDIR /bin/bash <<EOF
rc-update del autoconfig default
+rc-update del firmware boot
+rc-update del fixinittab default
rc-update add keymaps default
mv /etc/inittab.old /etc/inittab
mv /etc/init.d/halt.sh.orig /etc/init.d/halt.sh

View file

@ -1,17 +0,0 @@
https://code.google.com/p/pentoo/issues/detail?id=5
FIX! via jensp
Reported\Tested The_Eccentric0
diff --git a/setup b/setup
index 0dd51eb..1ab6453 100755
--- a/setup
+++ b/setup
@@ -418,7 +418,7 @@ autoprepare()
|| return 1
DEVICE=$DISC
- FSSPECS=$(echo $DEFAULTFS | sed -e "s|/:7500:ext3|/:$ROOT_PART_SIZE:$FSTYPE|g" -e "s|/home:\*:ext3|/home:\*:$FSTYPE|g" -e "s|swap:256|swap:$SWAP_PART_SIZE|g" -e "s|/boot:32|/boot:$BOOT_PART_SIZE|g")
+ FSSPECS=$(echo $DEFAULTFS | sed -e "s|/:7500:ext4|/:$ROOT_PART_SIZE:$FSTYPE|g" -e "s|/home:\*:ext3|/home:\*:$FSTYPE|g" -e "s|swap:256|swap:$SWAP_PART_SIZE|g" -e "s|/boot:32|/boot:$BOOT_PART_SIZE|g")
sfdisk_input=""
# we assume a /dev/hdX format (or /dev/sdX)

View file

@ -1,18 +0,0 @@
https://code.google.com/p/pentoo/issues/detail?id=5
FIX! via jensp
Reported\Tested The_Eccentric0
ROOT_PART_SIZE increased by ZC
diff --git a/setup b/setup
index 0dd51eb..1ab6453 100755
--- a/setup
+++ b/setup
@@ -418,7 +418,7 @@ autoprepare()
|| return 1
DEVICE=$DISC
- FSSPECS=$(echo $DEFAULTFS | sed -e "s|/:7500:ext3|/:$ROOT_PART_SIZE:$FSTYPE|g" -e "s|/home:\*:ext3|/home:\*:$FSTYPE|g" -e "s|swap:256|swap:$SWAP_PART_SIZE|g" -e "s|/boot:32|/boot:$BOOT_PART_SIZE|g")
+ FSSPECS=$(echo $DEFAULTFS | sed -e "s|/:8000:ext4|/:$ROOT_PART_SIZE:$FSTYPE|g" -e "s|/home:\*:ext3|/home:\*:$FSTYPE|g" -e "s|swap:256|swap:$SWAP_PART_SIZE|g" -e "s|/boot:32|/boot:$BOOT_PART_SIZE|g")
sfdisk_input=""
# we assume a /dev/hdX format (or /dev/sdX)

View file

@ -1,12 +0,0 @@
--- setup.orig 2012-10-22 19:01:48.855787355 -0400
+++ setup 2012-10-22 19:04:24.971791536 -0400
@@ -380,7 +380,8 @@
done
DISC_SIZE=$(($DISC_SIZE-$BOOT_PART_SIZE))
while [ "$SWAP_PART_SET" = "" ]; do
- DIALOG --inputbox "Enter the size (MiB) of your swap partition. Minimum value is > 0.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "4096" 2>$ANSWER || return 1
+ SUGGESTED_SWAP_SIZE=`awk '/MemTotal/ {printf( "%.2f\n", int ( $2 / 1024 ) + 1)}' /proc/meminfo`
+ DIALOG --inputbox "Enter the size (MiB) of your swap partition. Minimum value is > 0.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "${SUGGESTED_SWAP_SIZE}" 2>$ANSWER || return 1
SWAP_PART_SIZE=$(cat $ANSWER)
if [ "$SWAP_PART_SIZE" = "" -o "$SWAP_PART_SIZE" -le "0" ]; then
DIALOG --msgbox "ERROR: You have entered an invalid size, please enter again." 0 0

View file

@ -1,47 +0,0 @@
--- setup.orig 2012-11-12 19:54:49.200915436 -0500
+++ setup 2012-11-12 21:54:37.686772374 -0500
@@ -2,6 +2,8 @@
# This script is released under the GNU General Public License 3.0
# Check the COPYING file included with this distribution
+## start by exiting if the user doesn't have enough RAM for the install to work
+
ANSWER="/tmp/.setup"
TITLE="Pentoo Installation"
# use the first VT not dedicated to a running console
@@ -380,7 +382,7 @@
done
DISC_SIZE=$(($DISC_SIZE-$BOOT_PART_SIZE))
while [ "$SWAP_PART_SET" = "" ]; do
- SUGGESTED_SWAP_SIZE=`awk '/MemTotal/ {printf( "%.2f\n", int ( $2 / 1024 ) + 1)}' /proc/meminfo`
+ SUGGESTED_SWAP_SIZE=$(awk '/MemTotal/ {printf( "%.0f\n", int ( $2 / 1024 ) + 1)}' /proc/meminfo)
DIALOG --inputbox "Enter the size (MiB) of your swap partition. Minimum value is > 0.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "${SUGGESTED_SWAP_SIZE}" 2>$ANSWER || return 1
SWAP_PART_SIZE=$(cat $ANSWER)
if [ "$SWAP_PART_SIZE" = "" -o "$SWAP_PART_SIZE" -le "0" ]; then
@@ -654,11 +656,12 @@
rsync -av /etc/* ${DESTDIR}/etc/ 2>&1 >>$LOG
rsync -av /root/* ${DESTDIR}/root/ 2>&1 >>$LOG
rsync -av /usr/portage ${DESTDIR}/usr/ >>$LOG
+ rsync -av /var/lib/layman/pentoo ${DESTDIR}/var/lib/layman/ >>$LOG
if [ $? -ne 0 ]; then
DIALOG --msgbox "Rsync failed (maybe you're out of disk space?). See the log output for more information"
return 1
fi
- sed -i 's#aufs bindist livecd##' ${DESTDIR}/etc/make.conf
+ sed -i 's#aufs bindist livecd##' ${DESTDIR}/etc/portage/make.conf
mknod -m666 ${DESTDIR}/dev/zero c 1 5
mknod -m666 ${DESTDIR}/dev/null c 1 3
mknod -m600 ${DESTDIR}/dev/console c 5 1
@@ -1003,6 +1006,12 @@
#####################
## begin execution ##
+RAMSIZE=$(awk '/MemTotal/ {printf( "%.0f\n", int ( $2 / 1024 ) + 1)}' /proc/meminfo)
+if [ "$RAMSIZE" -le "1500" ]; then
+ DIALOG --msgbox "The Pentoo Installer requires a minimum of 1.5GB of RAM to run. Failing safe." 0 0
+ exit 1
+fi
+
DIALOG --msgbox "Welcome to the Pentoo Installation program. The install \
process is fairly straightforward, and you should run through the options in \
the order they are presented. If you are unfamiliar with partitioning/making \

View file

@ -1,11 +0,0 @@
--- pentoo-installer.old 2013-03-08 21:46:50.665527568 -0500
+++ pentoo-installer 2013-03-08 21:50:41.056533738 -0500
@@ -715,7 +715,7 @@
DIALOG --msgbox "Rsync failed (maybe you're out of disk space?). See the log output for more information"
return 1
fi
- sed -i 's#aufs bindist livecd##' ${DESTDIR}/etc/portage/make.conf
+ sed -i '/aufs bindist livecd/d' ${DESTDIR}/etc/portage/make.conf
mknod -m666 ${DESTDIR}/dev/zero c 1 5
mknod -m666 ${DESTDIR}/dev/null c 1 3
mknod -m600 ${DESTDIR}/dev/console c 5 1

View file

@ -1,11 +0,0 @@
--- setup 2012-05-21 22:04:50.872093195 -0400
+++ setup-next 2012-05-21 22:05:25.594094254 -0400
@@ -657,7 +657,7 @@
DIALOG --msgbox "Rsync failed (maybe you're out of disk space?). See the log output for more information"
return 1
fi
-
+ sed -i 's#aufs bindist livecd##' ${DESTDIR}/etc/make.conf
mknod -m666 ${DESTDIR}/dev/zero c 1 5
mknod -m666 ${DESTDIR}/dev/null c 1 3
mknod -m600 ${DESTDIR}/dev/console c 5 1

View file

@ -1,80 +0,0 @@
Installs support for GPT (guid partition table)
Requires additionally: parted, cgdisk
--- setup
+++ setup
@@ -10,6 +10,7 @@
LOG="/dev/tty8"
DESTDIR="/mnt/gentoo"
EDITOR=
+PARTITIONEDITOR=
# clock
HARDWARECLOCK=
@@ -86,6 +87,14 @@
[ "$1" ] && echo $1
fi
done
+ #virtual devices
+ for dev in $(ls | egrep '^vd'); do
+ # TODO: how to check if this is really a disk?
+ if [ "$(grep -c 'DEVTYPE=disk' $dev/uevent)" = "1" ]; then
+ echo "/dev/$dev"
+ [ "$1" ] && echo $1
+ fi
+ done
# cciss controllers
if [ -d /dev/cciss ] ; then
cd /dev/cciss
@@ -232,6 +241,38 @@
esac
}
+# setpartitionlabel()
+# select and write partition layout
+# parameters: device
+# sets PARTITIONEDITOR global variable
+#
+setpartitionlabel() {
+ while true; do
+ local pt=
+ DIALOG --menu "Select a Partition Table to Use" 10 35 3 \
+ "1" "msdos (default)" \
+ "2" "gpt" 2>$ANSWER
+ [ "${ANSWER}" = "" ] && pt='msdos'
+ case "$(cat $ANSWER)" in
+ "1")
+ PARTITIONEDITOR="cfdisk"
+ pt='msdos' ;;
+ "2")
+ PARTITIONEDITOR="cgdisk"
+ pt='gpt' ;;
+ *) return 1 ;;
+ esac
+ # Check current partition layout
+ local cpt=$(parted $1 print | sed -nr 's/^Partition Table:\s(.*)/\1/p')
+ if [ "${pt}" != "${cpt}" ]; then
+ DIALOG --defaultno --yesno "$1 will be COMPLETELY ERASED! Are you absolutely sure?" 0 0 \
+ || continue
+ parted $1 mklabel "${pt}" || continue
+ fi
+ break
+ done
+}
+
# _mkfs()
# Create and mount filesystems in our destination system directory.
#
@@ -536,9 +577,11 @@
fi
# Leave our loop if the user is done partitioning
[ "$DISC" = "DONE" ] && break
+ # Set partition layout and partition editor PARTITIONEDITOR
+ setpartitionlabel $DISC || continue
# Partition disc
- DIALOG --msgbox "Now you'll be put into the cfdisk program where you can partition your hard drive. You should make a swap partition and as many data partitions as you will need. NOTE: cfdisk may tell you to reboot after creating partitions. If you need to reboot, just re-enter this install program, skip this step and go on to step 2." 18 70
- cfdisk $DISC
+ DIALOG --msgbox "Now you'll be put into the ${PARTITIONEDITOR} program where you can partition your hard drive. You should make a swap partition and as many data partitions as you will need. NOTE: ${PARTITIONEDITOR} may tell you to reboot after creating partitions. If you need to reboot, just re-enter this install program, skip this step and go on to step 2." 18 70
+ $PARTITIONEDITOR $DISC
done
S_PART=1
}

View file

@ -1,74 +0,0 @@
--- a/setup 2012-09-27 16:39:33.562003148 -0400
+++ b/setup 2012-09-27 16:59:42.000000000 -0400
@@ -18,7 +18,7 @@
# default filesystem specs (the + is bootable flag)
# <mountpoint>:<partsize>:<fstype>[:+]
-DEFAULTFS="/boot:32:ext2:+ swap:256:swap /:7500:ext4 /home:*:ext4"
+DEFAULTFS="/boot:64:ext2:+ swap:4096:swap /:*:ext4"
# install stages
S_CLOCK=0 # clock and timezone
@@ -366,7 +366,7 @@
[ "$(which mkfs.xfs 2>/dev/null)" ] && FSOPTS="$FSOPTS xfs XFS"
[ "$(which mkfs.jfs 2>/dev/null)" ] && FSOPTS="$FSOPTS jfs JFS"
while [ "$BOOT_PART_SET" = "" ]; do
- DIALOG --inputbox "Enter the size (MiB) of your /boot partition. Minimum value is 16.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "32" 2>$ANSWER || return 1
+ DIALOG --inputbox "Enter the size (MiB) of your /boot partition. Minimum value is 16.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "64" 2>$ANSWER || return 1
BOOT_PART_SIZE="$(cat $ANSWER)"
if [ "$BOOT_PART_SIZE" = "" ]; then
DIALOG --msgbox "ERROR: You have entered an invalid size, please enter again." 0 0
@@ -380,7 +380,7 @@
done
DISC_SIZE=$(($DISC_SIZE-$BOOT_PART_SIZE))
while [ "$SWAP_PART_SET" = "" ]; do
- DIALOG --inputbox "Enter the size (MiB) of your swap partition. Minimum value is > 0.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "256" 2>$ANSWER || return 1
+ DIALOG --inputbox "Enter the size (MiB) of your swap partition. Minimum value is > 0.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "4096" 2>$ANSWER || return 1
SWAP_PART_SIZE=$(cat $ANSWER)
if [ "$SWAP_PART_SIZE" = "" -o "$SWAP_PART_SIZE" -le "0" ]; then
DIALOG --msgbox "ERROR: You have entered an invalid size, please enter again." 0 0
@@ -394,22 +394,22 @@
done
DISC_SIZE=$(($DISC_SIZE-$SWAP_PART_SIZE))
while [ "$ROOT_PART_SET" = "" ]; do
- DIALOG --inputbox "Enter the size (MiB) of your / partition. The /home partition will use the remaining space.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "7500" 2>$ANSWER || return 1
- ROOT_PART_SIZE=$(cat $ANSWER)
- if [ "$ROOT_PART_SIZE" = "" -o "$ROOT_PART_SIZE" -le "0" ]; then
- DIALOG --msgbox "ERROR: You have entered an invalid size, please enter again." 0 0
- else
- if [ "$ROOT_PART_SIZE" -ge "$DISC_SIZE" ]; then
- DIALOG --msgbox "ERROR: You have entered a too large size, please enter again." 0 0
- else
- DIALOG --yesno "$(($DISC_SIZE-$ROOT_PART_SIZE)) MiB will be used for your /home partition. Is this OK?" 0 0 && ROOT_PART_SET=1
- fi
- fi
+ #DIALOG --inputbox "Enter the size (MiB) of your / partition. Default will use the remaining space.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "$DISC_SIZE" 2>$ANSWER || return 1
+ #ROOT_PART_SIZE=$(cat $ANSWER)
+ #if [ "$ROOT_PART_SIZE" = "" -o "$ROOT_PART_SIZE" -le "0" ]; then
+ # DIALOG --msgbox "ERROR: You have entered an invalid size, please enter again." 0 0
+ #else
+ # if [ "$ROOT_PART_SIZE" -gt "$DISC_SIZE" ]; then
+ # DIALOG --msgbox "ERROR: You have entered a too large size, please enter again." 0 0
+ # else
+ DIALOG --yesno "$(cat $DISC_SIZE) MiB will be used for your / partition. Is this OK?" 0 0 && ROOT_PART_SET=1
+ # fi
+ #fi
done
while [ "$CHOSEN_FS" = "" ]; do
- DIALOG --menu "Select a filesystem for / and /home:" 13 45 6 $FSOPTS 2>$ANSWER || return 1
+ DIALOG --menu "Select a filesystem for /" 13 45 6 $FSOPTS 2>$ANSWER || return 1
FSTYPE=$(cat $ANSWER)
- DIALOG --yesno "$FSTYPE will be used for / and /home. Is this OK?" 0 0 && CHOSEN_FS=1
+ DIALOG --yesno "$FSTYPE will be used for /. Is this OK?" 0 0 && CHOSEN_FS=1
done
SET_DEFAULTFS=1
done
@@ -418,7 +418,7 @@
|| return 1
DEVICE=$DISC
- FSSPECS=$(echo $DEFAULTFS | sed -e "s|/:8000:ext4|/:$ROOT_PART_SIZE:$FSTYPE|g" -e "s|/home:\*:ext3|/home:\*:$FSTYPE|g" -e "s|swap:256|swap:$SWAP_PART_SIZE|g" -e "s|/boot:32|/boot:$BOOT_PART_SIZE|g")
+ FSSPECS=$(echo $DEFAULTFS | sed -e "s|/:\*:ext4|/:$ROOT_PART_SIZE:$FSTYPE|g" -e "s|swap:4096|swap:$SWAP_PART_SIZE|g" -e "s|/boot:64|/boot:$BOOT_PART_SIZE|g")
sfdisk_input=""
# we assume a /dev/hdX format (or /dev/sdX)

View file

@ -7,5 +7,5 @@ Comment=Install Pentoo!
Exec=/usr/sbin/pentoo-installer
Icon=/usr/share/genmenu/pixmaps/pentoo.png
Path=/root/
Terminal=true
Terminal=false
StartupNotify=false

View file

@ -1,27 +0,0 @@
--- setup.orig 2012-11-14 19:23:12.085007029 -0500
+++ setup 2012-11-14 19:23:59.465008294 -0500
@@ -397,17 +397,13 @@
done
DISC_SIZE=$(($DISC_SIZE-$SWAP_PART_SIZE))
while [ "$ROOT_PART_SET" = "" ]; do
- #DIALOG --inputbox "Enter the size (MiB) of your / partition. Default will use the remaining space.\n\nDisk space left: $DISC_SIZE MiB" 10 65 "$DISC_SIZE" 2>$ANSWER || return 1
- #ROOT_PART_SIZE=$(cat $ANSWER)
- #if [ "$ROOT_PART_SIZE" = "" -o "$ROOT_PART_SIZE" -le "0" ]; then
- # DIALOG --msgbox "ERROR: You have entered an invalid size, please enter again." 0 0
- #else
- # if [ "$ROOT_PART_SIZE" -gt "$DISC_SIZE" ]; then
- # DIALOG --msgbox "ERROR: You have entered a too large size, please enter again." 0 0
- # else
- DIALOG --yesno "$(cat $DISC_SIZE) MiB will be used for your / partition. Is this OK?" 0 0 && ROOT_PART_SET=1
- # fi
- #fi
+ if [ "${DISC_SIZE}" -lt "8200" ]; then
+ DIALOG --msgbox "Pentoo requires at least 8.2GB for / and you don't have that much left, aborting install." 0 0
+ exit 1
+ elif [ "${DISC_SIZE}" -lt "24000" ]; then
+ DIALOG --msgbox "Pentoo *suggests* using at least 24GB for your / partition but you don't have that much left. You have been warned." 0 0
+ fi
+ DIALOG --msgbox "${DISC_SIZE} MiB will be used for your / partition." 0 0 && ROOT_PART_SET=1
done
while [ "$CHOSEN_FS" = "" ]; do
DIALOG --menu "Select a filesystem for /" 13 45 6 $FSOPTS 2>$ANSWER || return 1

View file

@ -1,24 +0,0 @@
--- setup 2013-03-07 10:30:56.328127836 -0500
+++ setup 2013-03-07 10:36:50.894137331 -0500
@@ -974,8 +974,8 @@
sync
# freeze xfs filesystems to enable grub installation on xfs filesystems
if [ -x /usr/sbin/xfs_freeze ]; then
- /usr/sbin/xfs_freeze -f $DESTDIR/boot > /dev/null 2>&1
- /usr/sbin/xfs_freeze -f $DESTDIR/ > /dev/null 2>&1
+ mount | grep $DESTDIR/boot | grep -q xfs && /usr/sbin/xfs_freeze -f $DESTDIR/boot > /dev/null 2>&1
+ mount | grep $DESTDIR | grep -q xfs && /usr/sbin/xfs_freeze -f $DESTDIR/ > /dev/null 2>&1
fi
# look for a separately-mounted /boot partition
bootpart=$(mount | grep $DESTDIR/boot | cut -d' ' -f 1)
@@ -1006,8 +1006,8 @@
cat /tmp/grub.log >$LOG
# unfreeze xfs filesystems
if [ -x /usr/sbin/xfs_freeze ]; then
- /usr/sbin/xfs_freeze -u $DESTDIR/boot > /dev/null 2>&1
- /usr/sbin/xfs_freeze -u $DESTDIR/ > /dev/null 2>&1
+ mount | grep $DESTDIR/boot | grep -q xfs && /usr/sbin/xfs_freeze -u $DESTDIR/boot > /dev/null 2>&1
+ mount | grep $DESTDIR | grep -q xfs && /usr/sbin/xfs_freeze -u $DESTDIR/ > /dev/null 2>&1
fi
if grep "Error [0-9]*: " /tmp/grub.log >/dev/null; then

View file

@ -1,216 +0,0 @@
Adds UEFI support to boot loader installation
--- setup
+++ setup
@@ -128,6 +128,21 @@
fi
}
+# getkernelversion()
+# outputs the kernel version
+#
+# parameters: none
+# outputs: kernel version on success
+# nothing on failure
+# returns: 0 on success
+# 1 on failure
+getkernelversion()
+{
+ local kernver=$(ls $DESTDIR/boot/kernel-genkernel-* |sed -e "s|kernel-genkernel||g" -e "s|$DESTDIR/boot/||") \
+ || return 1
+ echo "${kernver}"
+}
+
findpartitions() {
workdir="$PWD"
for devpath in $(finddisks); do
@@ -727,6 +742,164 @@
fi
}
+# douefigrub()
+# writes kernel to UEFI as new boot option
+# parameters:
+# kernelpath: path to kernel, relative to partition root
+# initrdpath: path to initrd
+# bootparams: other boot params for kernel
+# returns: 1 on failure
+douefigrub() {
+ # check if grub2 is installed
+ grub2-mkimage -? 2>/dev/null 1>&2
+ if [ $? -ne 0 ]; then
+ DIALOG --msgbox "Error: Couldn't find grub2-mkimage. Is GRUB-2 installed?" 0 0
+ return 1
+ fi
+ local kernelpath="${1}"
+ local initrdpath="${2}"
+ local bootparams="${3}"
+ # uefipart: uefi partition, ex. /dev/sda1
+ DIALOG --menu "Select the partition to use as UEFI boot partition" 21 50 13 NONE - $PARTS 2>$ANSWER || return 1
+ local uefipart=$(cat $ANSWER)
+ PARTS="$(echo $PARTS | sed -e "s#${uefipart}\ _##g")"
+ [ "$uefipart" = "NONE" ] && return 1
+ # grubpart: grub partition, ex. (hd0,2)
+ DIALOG --inputbox "Verify your GRUB device path" 8 65 "(hd0,2)" 2>$ANSWER || return 1
+ local grubpart=$(cat $ANSWER)
+ # uefimount: uefi partition mount point, ex. /boot
+ local uefimount="$(mount | grep "^${uefipart} " | cut -d' ' -f 3)"
+ # mount if not mounted
+ if [ "${uefimount}" = "" ]; then
+ mkdir -p /tmp/efibootpart || return 1
+ mount "${uefipart}" /tmp/efibootpart || return 1
+ uefimount=/tmp/efibootpart
+ fi
+ # safety check for /EFI/BOOT/BOOTX64.EFI (case insensitive for fat)
+ local findefi="$(find "${uefimount}" -iwholename "${uefimount}/efi/boot/bootx64.efi")"
+ if [ "${findefi}" != "" ]; then
+ DIALOG --msgbox "Error: ${findefi} exists, refusing to overwrite!" 0 0
+ return 1
+ fi
+ # safety check for /boot/grub2 (case insensitive for fat)
+ local findgrub2="$(find "${uefimount}" -iwholename "${uefimount}/boot/grub2")"
+ if [ "${findgrub2}" != "" ]; then
+ DIALOG --msgbox "Error: ${findgrub2} exists, refusing to overwrite!" 0 0
+ return 1
+ fi
+ # create grub image
+ mkdir -p "${uefimount}/EFI/BOOT" || return 1
+ grub2-mkimage -p /boot/grub2 -o "${uefimount}/EFI/BOOT/BOOTX64.EFI" -O x86_64-efi part_msdos part_gpt fat normal \
+ || return 1
+ # copy grub modules
+ mkdir -p "${uefimount}/boot/grub2" || return 1
+ cp -ar /usr/lib/grub/x86_64-efi "${uefimount}/boot/grub2/" \
+ || return 1
+ # create a crude grug.cfg
+ mkdir -p "${uefimount}/boot/grub2" || return 1
+ cat >> "${uefimount}/boot/grub2/grub.cfg" <<EOF
+timeout=5
+menuentry 'Pentoo' {
+ insmod efi_gop
+ insmod efi_uga
+ insmod part_msdos
+ insmod part_gpt
+ root=${grubpart}
+ linux ${kernelpath} ${bootparams}
+ initrd ${initrdpath}
+}
+EOF
+ DIALOG --msgbox "UEFI boot image successfully installed. You can now review the GRUB-2 config file." 0 0
+ [ "$EDITOR" ] || geteditor
+ $EDITOR "${uefimount}/boot/grub2/grub.cfg"
+ DIALOG --msgbox "Success: UEFI booting by GRUB-2 installed!" 0 0
+}
+
+# douefi()
+# writes kernel to UEFI as new boot option
+# parameters:
+# kernelpath: path to kernel, relative to partition root
+# initrdpath: path to initrd
+# bootparams: other boot params for kernel
+# returns: 1 on failure
+#
+douefi() {
+ modprobe efivars
+ # check if booted through UEFI
+ efibootmgr -v 2>/dev/null 1>&2
+ if [ $? -ne 0 ]; then
+ DIALOG --msgbox "Error: Couldn't read from UEFI. Did you boot through UEFI?" 0 0
+ return 1
+ fi
+ # kernel path with \\ instead of /
+ local kernelpath=${1//\//\\\\}
+ # initrd path with \ instead of /
+ local initrdpath=${2//\//\\}
+ local bootparams="${3}"
+ # kernelpart: kernel partition, ex. /dev/sda2
+ DIALOG --menu "Select the partition with the kernel (/boot)" 21 50 13 NONE - $PARTS 2>$ANSWER || return 1
+ local kernelpart=$(cat $ANSWER)
+ PARTS="$(echo $PARTS | sed -e "s#${kernelpart}\ _##g")"
+ [ "$kernelpart" = "NONE" ] && return 1
+ # kernelpart as disk and trailing part-number
+ local kernelpartnu=$(expr match "${kernelpart}" '.*\([1-9][0-9]*\)')
+ local kernelpartdisk=${kernelpart:0: -${#kernelpartnu}}
+ # write to UEFI
+ echo "${bootparams} initrd=${initrdpath}" | \
+ iconv -f ascii -t ucs2 | \
+ efibootmgr --create --gpt \
+ --disk "${kernelpartdisk}" --part "${kernelpartnu}" \
+ --label "Pentoo" \
+ --loader "${kernelpath}" \
+ --append-binary-args -
+ if [ $? -ne 0 ]; then
+ DIALOG --msgbox "Error: Couldn't write to UEFI!" 0 0
+ return 1
+ fi
+ DIALOG --msgbox "Success: Direct UEFI booting installed!" 0 0
+}
+
+# dobootloader()
+# installs boot loader
+# parameters:
+# bootmode:
+# - uefigrub: installs GRUB2 UEFI-image plus menu
+# - uefi: boot kernel direclty by UEFI
+# returns: 1 on failure
+#
+dobootloader() {
+ local bootmode="${1}"
+ local _kernver=$(getkernelversion)
+ local kernelpath="/boot/kernel-genkernel${_kernver}"
+ local initrdpath="/boot/initramfs-genkernel${_kernver}"
+ local bootparams="root=/dev/ram0 real_root=${PART_ROOT}"
+ # select UEFI boot partition
+ PARTS=$(findpartitions _)
+ # compose boot parameters
+ # parse kernel cmdline (only video mode for now)
+ for _var in $(cat /proc/cmdline); do
+ case $_var in
+ video=*)
+ eval $(echo $_var) ;;
+ esac
+ done
+ bootparams+=" video=${video} console=tty1 ro"
+ case "${bootmode}" in
+ uefigrub)
+ douefigrub "${kernelpath}" "${initrdpath}" "${bootparams}" \
+ || return 1
+ ;;
+ uefi)
+ douefi "${kernelpath}" "${initrdpath}" "${bootparams}" \
+ || return 1
+ ;;
+ esac
+}
+
+# dogrub()
+# installs grub
+# params: none
+# returns: 1 on failure
dogrub() {
get_grub_map
local grubmenu="$DESTDIR/boot/grub/menu.lst"
@@ -764,7 +937,7 @@
esac
done
# get kernel version
- local _kernver=$(ls $DESTDIR/boot/kernel-genkernel-* |sed -e "s|kernel-genkernel||g" -e "s|$DESTDIR/boot/||")
+ local _kernver=$(getkernelversion)
cat >>$grubmenu <<EOF
# (0) Pentoo
@@ -997,11 +1170,15 @@
install_bootloader()
{
DIALOG --colors --menu "Which bootloader would you like to use? Grub is the Pentoo default.\n\n" \
- 10 65 2 \
+ 12 75 4 \
"GRUB" "Use the GRUB bootloader (default)" \
+ "UEFI-GRUB" "Use GRUB2 and UEFI" \
+ "UEFI" "Boot kernel directly by UEFI" \
"None" "\Zb\Z1Warning\Z0\ZB: you must install your own bootloader!" 2>$ANSWER
case $(cat $ANSWER) in
"GRUB") dogrub ;;
+ "UEFI-GRUB") dobootloader 'uefigrub' ;;
+ "UEFI") dobootloader 'uefi' ;;
esac
}

View file

@ -1,22 +0,0 @@
--- setup 2013-03-07 14:46:52.635539065 -0500
+++ setup 2013-03-07 14:49:30.042543280 -0500
@@ -266,7 +266,7 @@
local pt=
DIALOG --menu "Select a Partition Table to Use" 10 35 3 \
"1" "msdos (default)" \
- "2" "gpt" 2>$ANSWER
+ "2" "gpt (unsupported)" 2>$ANSWER
[ "${ANSWER}" = "" ] && pt='msdos'
case "$(cat $ANSWER)" in
"1")
@@ -1175,8 +1175,8 @@
DIALOG --colors --menu "Which bootloader would you like to use? Grub is the Pentoo default.\n\n" \
12 75 4 \
"GRUB" "Use the GRUB bootloader (default)" \
- "UEFI-GRUB" "Use GRUB2 and UEFI" \
- "UEFI" "Boot kernel directly by UEFI" \
+ "UEFI-GRUB" "Use GRUB2 and UEFI (unsupported)" \
+ "UEFI" "Boot kernel directly by UEFI (unsupported)" \
"None" "\Zb\Z1Warning\Z0\ZB: you must install your own bootloader!" 2>$ANSWER
case $(cat $ANSWER) in
"GRUB") dogrub ;;

View file

@ -1,33 +0,0 @@
--- setup
+++ setup
@@ -166,7 +166,7 @@
}
get_grub_map() {
- rm /tmp/dev.map
+ [ -e /tmp/dev.map ] && rm /tmp/dev.map
DIALOG --infobox "Generating GRUB device map...\nThis could take a while.\n\n Please be patient." 0 0
$DESTDIR/sbin/grub --no-floppy --device-map /tmp/dev.map >/tmp/grub.log 2>&1 <<EOF
quit
@@ -752,7 +752,9 @@
DIALOG --menu "Select the boot device where the GRUB bootloader will be installed (usually the MBR and not a partition)." 14 55 7 $DEVS 2>$ANSWER || return 1
ROOTDEV=$(cat $ANSWER)
DIALOG --infobox "Installing the GRUB bootloader..." 0 0
- cp -a $DESTDIR/usr/lib/grub/i386-pc/* $DESTDIR/boot/grub/
+ if [ -d "${DESTDIR}"/usr/lib/grub/i386-pc ]; then
+ cp -a "${DESTDIR}"/usr/lib/grub/i386-pc/* "${DESTDIR}"/boot/grub/
+ fi
sync
# freeze xfs filesystems to enable grub installation on xfs filesystems
if [ -x /usr/sbin/xfs_freeze ]; then
@@ -927,8 +929,8 @@
elif [ "$CURRENT_SELECTION" = "add-user" ]; then
DIALOG $DEFAULT --inputbox "Enter a username" 17 70 2>$ANSWER
_username=$(cat $ANSWER)
- chroot ${DESTDIR} useradd -m -G users,wheel,audio,cdrom,video,games,cdrw,plugdev $_username
- cp -r ${DESTDIR}/root/{*,.*} ${DESTDIR}/home/$_username/
+ chroot ${DESTDIR} useradd -m -G users,wheel,audio,cdrom,video,cdrw,plugdev $_username
+ rsync -r --exclude=.svn --exclude=.subversion "${DESTDIR}"/root/.[!.]* "${DESTDIR}"/home/"${_username}"/
chroot ${DESTDIR} chown -R ${_username}:${_username} /home/$_username
else #regular file
$EDITOR ${DESTDIR}${CURRENT_SELECTION}

View file

@ -1,12 +0,0 @@
--- setup 2013-03-06 12:13:09.978978369 -0500
+++ setup 2013-03-06 12:11:47.490976160 -0500
@@ -1148,6 +1148,9 @@
chroot ${DESTDIR} useradd -m -G users,wheel,audio,cdrom,video,cdrw,plugdev $_username
rsync -r --exclude=.svn --exclude=.subversion "${DESTDIR}"/root/.[!.]* "${DESTDIR}"/home/"${_username}"/
chroot ${DESTDIR} chown -R ${_username}:${_username} /home/$_username
+ while true; do
+ chroot ${DESTDIR} passwd $_username && break
+ done
else #regular file
$EDITOR ${DESTDIR}${CURRENT_SELECTION}
fi

View file

@ -1,31 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
inherit subversion
DESCRIPTION="Installer for pentoo, based on the ncurses Arch Linux installer"
HOMEPAGE="http://gitorious.org/pentoo/pentoo-installer"
SRC_URI=""
ESVN_REPO_URI="https://pentoo.googlecode.com/svn/${PN}/trunk"
ESVN_REVISION="5506"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND="app-arch/xz-utils"
RDEPEND="dev-util/dialog
|| ( sys-boot/grub:0
sys-boot/grub-static:0 )
net-misc/rsync"
src_install() {
dodir /usr/
cp -R "${S}"/* "${ED}"/usr/ || die "Copy files failed"
exeinto /root/Desktop/
doexe share/applications/pentoo-installer.desktop
}

View file

@ -1,31 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
inherit subversion
DESCRIPTION="Installer for pentoo, based on the ncurses Arch Linux installer"
HOMEPAGE="http://gitorious.org/pentoo/pentoo-installer"
SRC_URI=""
ESVN_REPO_URI="https://pentoo.googlecode.com/svn/${PN}/trunk"
ESVN_REVISION="5586"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND="app-arch/xz-utils"
RDEPEND="dev-util/dialog
|| ( sys-boot/grub:0
sys-boot/grub-static:0 )
net-misc/rsync"
src_install() {
dodir /usr/
cp -R "${S}"/* "${ED}"/usr/ || die "Copy files failed"
exeinto /root/Desktop/
doexe share/applications/pentoo-installer.desktop
}

View file

@ -1,4 +1,4 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@ -7,20 +7,27 @@ EAPI=5
inherit subversion
DESCRIPTION="Installer for pentoo, based on the ncurses Arch Linux installer"
HOMEPAGE="http://gitorious.org/pentoo/pentoo-installer"
SRC_URI=""
HOMEPAGE="https://code.google.com/p/pentoo/"
ESVN_REPO_URI="https://pentoo.googlecode.com/svn/${PN}/trunk"
ESVN_REVISION="5150"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
if [[ "${PV}" == "99999999" ]] ; then
KEYWORDS=""
else
KEYWORDS="amd64 x86"
ESVN_REVISION="6027"
fi
IUSE="X"
DEPEND="app-arch/xz-utils"
RDEPEND="dev-util/dialog
X? ( x11-misc/xdialog )
|| ( sys-boot/grub:0
sys-boot/grub-static:0 )
sys-boot/grub:2
sys-fs/squashfs-tools
net-misc/rsync"
src_install() {

View file

@ -16,8 +16,7 @@ if [[ "${PV}" == "99999999" ]] ; then
KEYWORDS=""
else
KEYWORDS="amd64 x86"
#bump here
ESVN_REVISION="5586"
ESVN_REVISION="head"
fi
IUSE="X"